Get Delta
curl --request GET \
--url https://api.example.com/api/graph/v1/chart-sessions/{session_id}/deltaimport requests
url = "https://api.example.com/api/graph/v1/chart-sessions/{session_id}/delta"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/chart-sessions/{session_id}/delta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema_version": "1.0",
"session_id": "<string>",
"from_revision": 2,
"to_revision": 2,
"events": [
{
"id": "<string>",
"revision": 2,
"type": "<string>",
"payload": {},
"occurred_at": "2023-11-07T05:31:56Z",
"trace_id": "<string>",
"provenance": {
"owner": {
"type": "user",
"id": "<string>"
},
"producer": {
"id": "<string>",
"kind": "human"
},
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"derivation": [
"<string>"
]
},
"object_id": "<string>",
"object_revision": 2
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Chart Sessions
Get Delta
GET
/
api
/
graph
/
v1
/
chart-sessions
/
{session_id}
/
delta
Get Delta
Path Parameters
Query Parameters
Required range:
x >= 1Response
Successful Response
Sequency Charts semantic contract major/minor version.
Allowed value:
"1.0"Minimum string length:
1A positive monotonic revision.
Required range:
x >= 1A positive monotonic revision.
Required range:
x >= 1Show child attributes
Show child attributes